Namespace: webdriver
View Source

# class UnhandledAlertError

    Error
      └ bot.Error
          └ webdriver.UnhandledAlertError

An error returned to indicate that there is an unhandled modal dialog on the current page.

## new UnhandledAlertError(message, text, alert)

Parameters

message`string`

  The error message.

text`string`

  The text displayed with the unhandled alert.

alert`webdriver.Alert`

  The alert handle.

## Instance Methods

### getAlert()code »

deprecated

Deprecated: Use `#getAlertText`. This method will be removed in 2.45.0.

Returns

`webdriver.Alert`

  The open alert.

### getAlertText()code »

Returns

`string`

  The text displayed with the unhandled alert.